#include "xparameters.h"
#include "xio.h"
#include "ftBlock.h"

void configureArray(Xuint32 arrayNum, ArrayConfig *config)
{
	// Set array num
	FTBLOCK_writeConfigArrayNum(arrayNum);

	// Set output selections
	Xuint32 sel = ((config->outputSel1&0x1F)<<5) | (config->outputSel0&0x1F);
	FTBLOCK_writeOutputSel(sel);

	// Select first cell
	FTBLOCK_writeConfigCellNum(0);

	// Configure the array's cells
	Xuint32 cellNum;

	for (cellNum=0 ; cellNum<NUM_CELLS ; cellNum++)
	{
		FTBLOCK_writeConfig(config->cellConfigs[cellNum]);
	}
}

void randomiseArrayConfig(ArrayConfig *config)
{
	Xuint32 cellNum = 0;
	Xuint32 randNum = 0;

	// Randomise cell configs
	for (cellNum=0 ; cellNum<NUM_CELLS ; cellNum++)
	{
		config->cellConfigs[cellNum] = rand() & 0xFFF;
	}

	config->outputSel0 = rand() & 0x1F;
	config->outputSel1 = rand() & 0x1F;
}
