vlib work

vcom -93 -pedanticerrors -lint +acc=v ../Cell.vhdl
vcom -93 -pedanticerrors -lint +acc=v ../CellArray.vhdl
vcom -93 -pedanticerrors -lint +acc=v ../FTBlock.vhdl
vcom -93 -pedanticerrors -lint +acc=v ../opb_ftblock.vhdl

vcom -93 opb_ftblock_TB.vhdl
vsim -t 1ps -lib work opb_ftblock_TB

configure wave -gridperiod 5000;
configure wave -griddelta 10
configure wave -signalnamewidth 1

view wave -undock

add wave -height 20 -color orange				OPB_Clk
add wave -height 20 -color gold					OPB_Rst

add wave -divider "OPB Interface"
add wave -height 20 -color gold -unsigned		uut/OPB_ABus
add wave -height 20 -color gold -hex			uut/OPB_DBus

add wave -divider "OPB Layer"
add wave -height 20 -color gold					uut/chipSel
add wave -height 20 -color gold					uut/configArrayNum
add wave -height 20 -color gold					uut/configCellNum

add wave -divider "Write Enables"
add wave -height 20 -color gold					uut/configWEn
add wave -height 20 -color gold					uut/outputSelWEn
add wave -height 20 -color gold					uut/failModeWEn
add wave -height 20 -color gold					uut/ramWEn

add wave -divider "Target RAM"
add wave -height 20 -color gray					uut/ftblk/targetRAM
add wave -height 20 -color gray					uut/ftblk/targetRAMOut

add wave -divider "Vectors"
add wave -height 20 -color gold					uut/ftblk/vector
add wave -height 20 -color gray					uut/ftblk/internalVector
add wave -height 20 -color gray					uut/ftblk/state
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(2)"		uut/ftblk/arrayOutReg(2)
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(1)"		uut/ftblk/arrayOutReg(1)
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(0)"		uut/ftblk/arrayOutReg(0)
add wave -height 20 -color gray					uut/ftblk/votedOut
add wave -height 20 -color red					uut/ftblk/arrayError

add wave -divider "Array 2"
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(2)"		uut/ftblk/arrayOutReg(2)
add wave -height 20 -color turquoise		-label "Match (5:4)"			uut/ftblk/match(5:4)
add wave -height 20 -color limeGreen		-label "Output (5:4)"		uut/ftblk/output(5:4)

add wave -divider "Array 1"
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(1)"		uut/ftblk/arrayOutReg(1)
add wave -height 20 -color turquoise		-label "Match (3:2)"			uut/ftblk/match(3:2)
add wave -height 20 -color limeGreen		-label "Output (3:2)"		uut/ftblk/output(3:2)

add wave -divider "Array 0"
add wave -height 20 -color cornflowerBlue	-label "ArrayOutReg(0)"		uut/ftblk/arrayOutReg(0)
add wave -height 20 -color turquoise		-label "Match (1:0)"			uut/ftblk/match(1:0)
add wave -height 20 -color limeGreen		-label "Output (1:0)"		uut/ftblk/output(1:0)

add wave -divider "Array 2"
add wave -height 20 -color gold					uut/ftblk/arraygenerate__2/cellarrayinst/output1
add wave -height 20 -color gold					uut/ftblk/arraygenerate__2/cellarrayinst/output0
add wave -height 20 -color gold					uut/ftblk/arraygenerate__2/arrayin
add wave -height 20 -color gold					uut/ftblk/arraygenerate__2/arrayOut

add wave -divider "Array 1"
add wave -height 20 -color gold					uut/ftblk/arraygenerate__1/cellarrayinst/output1
add wave -height 20 -color gold					uut/ftblk/arraygenerate__1/cellarrayinst/output0
add wave -height 20 -color gold					uut/ftblk/arraygenerate__1/arrayin
add wave -height 20 -color gold					uut/ftblk/arraygenerate__1/arrayOut

add wave -divider "Array 0"
add wave -height 20 -color gold					uut/ftblk/arraygenerate__0/cellarrayinst/output1
add wave -height 20 -color gold					uut/ftblk/arraygenerate__0/cellarrayinst/output0
add wave -height 20 -color gold					uut/ftblk/arraygenerate__0/arrayin
add wave -height 20 -color gold					uut/ftblk/arraygenerate__0/arrayOut

#add wave -divider "Array 1 Cells"
#for {set c 0} {$c<4} {incr c 1} {
#	for {set r 0} {$r<8} {incr r 1} {
#		set num [expr ($c*8) + $r]
#		add wave -height 20 -color orangeRed	-label "B Sel: $num ($c, $r)"	uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/dInBSelect
#		add wave -height 20 -color coral			-label "A Sel"						uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/dInASelect
#		add wave -height 20 -color orange		-label "LUT"						uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/lookUpTable
#		add wave -height 20 -color gold			-label "WEn"						uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/configWEn
#		add wave -height 20 -color yellow		-label "Fail Mode:"				uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/failModeReg
#		add wave -height 20 -color khaki			-label "dOut:"						uut/ftblk/arraygenerate__1/cellarrayinst/colgenerate__$c/rowgenerate__$r/cellinst/dOut
#	}
#}

run 10 us
